// CntrItem.h : interface of the CContainCntrItem class
//

class CContainDoc;
class CContainView;

class CContainCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CContainCntrItem)

// Constructors
public:
	CContainCntrItem(CContainDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CContainDoc* GetDocument()
		{ return (CContainDoc*)COleClientItem::GetDocument(); }
	CContainView* GetActiveView()
		{ return (CContainView*)COleClientItem::GetActiveView(); }
	CRect m_rect;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CContainCntrItem)
	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	protected:
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	//}}AFX_VIRTUAL

// Implementation
public:
	~CContainCntrItem();
	void InvalidateItem();
	void UpdateFromServerExtent();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////
