#ifndef EXPENSE_H
#define EXPENSE_H

// Get needed include files
#include <iostream.h>
#include <afx.h>

class Expense {
public:
	Expense();

	void SetDate(const char* NewDate)
		{ Date = NewDate; }
	void SetDescription(const char* NewDescription)
		{ Description = NewDescription; }
	void SetExpenseAmount(float NewExpenseAmount)
		{ ExpenseAmount = NewExpenseAmount; }

	CString GetDate() const { return Date; }
	CString GetDescription() const { return Description; }
	float   GetExpenseAmount() const { return ExpenseAmount; }

private:
	CString  Date;
	CString  Description;
	float    ExpenseAmount;

	friend ostream& operator<<(ostream& ostr, const Expense& employee);
	friend istream& operator>>(istream& istr, Expense& employee);
};

#endif
