// Get needed include files
#include <iostream.h>
#include <eh.h>

class Base { };
class Derived : public Base { };

void Func1(int flag)
{
	cout << "In Func1.\n";
	if (flag)
		throw new Derived;
}

void main()
{
	try {
		Func1(1);
	}
	catch (Derived*) {
		cout << "Caught a Derived* exception.\n";
	}
	catch (Base*) {
		cout << "Caught a Base* exception.\n";
	}
	catch (void*) {
		cout << "Caught a void* exception.\n";
	}
	catch (...) {
		cout << "Caught an unrecognized exception.\n";
	}
}
