#include "myerror.h"

CMyErrorClass :: Init()
{
	char key[KEY_SIZE];
	CString description;

	sprintf(key,"%d",_HEAPBADBEGIN);
	description.LoadString(IDS_HEADBADBEGIN); 
	err_msg[key] = description;
	sprintf(key,"%d",_HEAPBADNODE);
	description.LoadString(IDS_HEAPBADNODE);
	err_msg[key] = description;
	sprintf(key,"%d",_HEAPBADPTR);
	description.LoadString(IDS_HEAPBADPTR);
	err_msg[key] = description;
	sprintf(key,"%d",_HEAPEMPTY);
	description.LoadString(IDS_HEAPEMPTY);
	err_msg[key] = description;
	sprintf(key,"%d",_HEAPOK);
	description.LoadString(IDS_HEAPOK);
	err_msg[key] = description;
}


CMyErrorClass::display( int index )
{
	char key[KEY_SIZE];
	sprintf(key,index);
	CString message;
	if ( err_msg.Lookup( key, message ) )
		TRACE("Error message is : %s", (const char *) message);
	else
		TRACE1("No Error message for %d",index);
}
